Bug 1139820 - [aarch64] btrfs oops at end of Tumbleweed installation
[aarch64] btrfs oops at end of Tumbleweed installation
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
aarch64 All
: P5 - None : Major (vote)
: ---
Assigned To: Nikolay Borisov
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-30 23:55 UTC by Andreas Färber
Modified: 2021-02-08 10:01 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Färber 2019-06-30 23:55:10 UTC
Tumbleweed 20190607 NET installation with online repos after confirming via "OK" the final reboot printed five X11 authentication errors on ssh and the following oops on serial:

[ 3989.029935] Internal error: Oops: 96000004 [#1] SMP
[ 3989.029960] Modules linked in: fuse nls_utf8 isofs vfat fat usbhid btrfs xor xor_neon raid6_pq libcrc32c zlib_deflate dm_multipath dm_mod 8021q garp mrp stp llc arc4 nfs lockd grace fscache nls_iso8859_1 nls_cp437 af_packet sg st sr_mod cdrom joydev sunrpc efivarfs uas usb_storage xhci_plat_hcd aes_ce_blk crypto_simd xhci_hcd cryptd aes_ce_cipher usbcore dwc3 ulpi dw_hdmi_i2s_audio dw_hdmi_cec mmc_block udc_core crct10dif_ce ghash_ce aes_arm64 meson_gxl meson_dw_hdmi meson_drm dw_hdmi sha2_ce drm_kms_helper syscopyarea sysfillrect sysimgblt dwmac_generic fb_sys_fops drm dwc3_of_simple sha256_arm64 mdio_mux_mmioreg mdio_mux dwmac_meson8b sha1_ce meson_gx_mmc phy_meson_gxl_usb2 phy_meson_gxl_usb3 stmmac_platform meson_canvas platform_mhu pwrseq_emmc stmmac i2c_meson pwrseq_simple mmc_core gpio_keys_polled input_polldev arm_scpi fixed scsi_dh_rdac scsi_dh_emc scsi_dh_alua squashfs loop
[ 3989.106799] Process y2start (pid: 4070, stack limit = 0x0000000052019739)
[ 3989.113530] CPU: 3 PID: 4070 Comm: y2start Tainted: G        W         5.1.7-1-default #1 openSUSE Tumbleweed (unreleased)
[ 3989.124479] Hardware name: amlogic p212/p212, BIOS 2019.07-rc4 06/16/2019
[ 3989.131208] pstate: 60000085 (nZCv daIf -PAN -UAO)
[ 3989.135957] pc : __queue_work+0x188/0x4e8
[ 3989.139920] lr : __queue_work+0x180/0x4e8
[ 3989.143885] sp : ffff00001318b7d0
[ 3989.147163] x29: ffff00001318b7d0 x28: ffff800033961200 
[ 3989.152424] x27: ffff000011798048 x26: ffff00001158d730 
[ 3989.157685] x25: 0000000000000180 x24: 0000000000000013 
[ 3989.162946] x23: 0000000000000003 x22: ffff000011176018 
[ 3989.168207] x21: 0000000000000000 x20: ffff8000602dcd40 
[ 3989.173469] x19: 0000000000000000 x18: 000000000000000c 
[ 3989.178730] x17: 0000000fffffffe1 x16: 0000000fffffffe0 
[ 3989.183991] x15: 0000000000000003 x14: ffff80000747f780 
[ 3989.189252] x13: 0000000000000000 x12: ffff80007fbd0840 
[ 3989.194514] x11: 0000000000008000 x10: 0000000000000000 
[ 3989.199775] x9 : ffff000011187bad x8 : ffff80003380eb40 
[ 3989.205036] x7 : ffff7e0000000000 x6 : ffff0000090c4440 
[ 3989.210297] x5 : 0000000000000003 x4 : ffff000010091b10 
[ 3989.215559] x3 : ffff000009105df0 x2 : ffff8000602dcd40 
[ 3989.220820] x1 : 000000007fffffff x0 : 0000000000000000 
[ 3989.226081] Call trace:
[ 3989.228499]  __queue_work+0x188/0x4e8
[ 3989.232121]  queue_work_on+0xc8/0xd0
[ 3989.235777]  btrfs_queue_work+0xe0/0x1a0 [btrfs]
[ 3989.240328]  btrfs_wq_submit_bio+0xc0/0xe8 [btrfs]
[ 3989.245057]  btree_submit_bio_hook+0x70/0x110 [btrfs]
[ 3989.250056]  submit_one_bio+0xcc/0x128 [btrfs]
[ 3989.254456]  flush_write_bio.isra.0+0x2c/0x48 [btrfs]
[ 3989.259458]  btree_write_cache_pages+0x29c/0x2d8 [btrfs]
[ 3989.264718]  btree_writepages+0x70/0x80 [btrfs]
[ 3989.269126]  do_writepages+0x3c/0xe0
[ 3989.272661]  __writeback_single_inode+0x48/0x438
[ 3989.277230]  writeback_single_inode+0xe4/0x1d0
[ 3989.281628]  write_inode_now+0x8c/0xb0
[ 3989.285338]  iput+0x1a0/0x240
[ 3989.288352]  close_ctree+0x178/0x330 [btrfs]
[ 3989.292577]  btrfs_put_super+0x20/0x30 [btrfs]
[ 3989.296897]  generic_shutdown_super+0x74/0x128
[ 3989.301293]  kill_anon_super+0x24/0x40
[ 3989.305083]  btrfs_kill_super+0x24/0x98 [btrfs]
[ 3989.309489]  deactivate_locked_super+0x50/0x90
[ 3989.313886]  deactivate_super+0x60/0x78
[ 3989.317681]  cleanup_mnt+0x44/0x90
[ 3989.321044]  __cleanup_mnt+0x20/0x30
[ 3989.324581]  task_work_run+0xc8/0xf8
[ 3989.328118]  do_notify_resume+0x2e4/0x380
[ 3989.332085]  work_pending+0x8/0x14
[ 3989.335451] Code: aa1403e0 97ffff83 aa0003f5 b5fff8a0 (f9400275) 
[ 3989.341487] ---[ end trace cd15c5349149ff98 ]---

I could open a second ssh connection (but sync hung) and was able to kill (Ctrl+C) the non-responsive session, but I couldn't figure out how to reboot the system from there. Resetting worked okay, with the new system usable.
Comment 1 Andreas Färber 2019-07-01 00:46:46 UTC
USB stick used had Tumbleweed Build533.2.
Comment 2 Jiri Slaby 2019-11-05 11:36:56 UTC
Not sure if this still happens with 5.3?
Comment 3 Andreas Färber 2019-11-06 18:53:57 UTC
I don't install new systems that frequently, but see bug #1155888 using 5.3.8.
Comment 4 Nikolay Borisov 2021-02-08 10:01:10 UTC
This issue has likely gone stale so I'm closing as WONTFIX, if there are new occurrences then re-open a new one with the recent kernel version.